# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.ResetPasswordStepTwoRequest do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :resetToken,
    :newPassword,
    :confirmNewPassword
  ]

  @type t :: %__MODULE__{
    :resetToken => String.t | nil,
    :newPassword => String.t | nil,
    :confirmNewPassword => String.t | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.ResetPasswordStepTwoRequest do
  def decode(value, _options) do
    value
  end
end

